<?php
/**
 * @filesource: default_header.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template header for use of php-helper class for rgraph charts package
 *              this header is  for a single chart template
 */

// check settings
if (! isset($chart))
  die ("<b>Error: </b>rgraph_chart object not defined");
if (! isset($rgraph_json))
      die ("<b>Error: </b>json object is not defined");
$id = $chart->get_id();
$chart_type = $chart->get_chartType();
$script= '<script src="' . $rgraph_libraries . $chart->getScript($chart_type) . '"></script>';
echo $script;

// check for defined values
if (! isset($width))
    $width = 400;
if (! isset($height))
    $height = 250;
if (! isset($draw_option))
    $draw_option = "draw();";
if (! isset($canvas_style))
    $canvas_style = "";
if (! isset($canvas_class))
    $canvas_class = "";
if (! isset($chart_name))
    $chart_name = "chart";
if (! isset($event_script))
    $event_script = "";
if (! isset($chart_script))
    $chart_script = "";
