<?php
/**
 * @filesource: demo_meter.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *              this template renders a single chart
 */
include_once "default_header.php";
$java_script = "<script src='" . $rgraph_libraries . "lasso_demo.js'  type='text/javascript' ></script>";
echo $java_script;
?>

<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style=" <?php echo $canvas_style; ?>" class="<?php echo $canvas_class; ?>">
    [No canvas support]>
</canvas>
<script type="text/javascript">
jQuery(document).ready(function() {
 
  <?php echo $event_script; ?>

  RGraph.reset('<?php echo $id; ?>');

  $var = "";
   <?php echo $chart_name; ?> = new RGraph.<?php echo $chart_type; ?> (
   <?php echo $rgraph_json; ?>).<?php echo $draw_option; ?>

   <?php echo $chart_script; ?>
});
</script>
<div id="buttons">
    <button class="btn btn-primary" onclick="jQuery('#lasso_out').html('Please draw a rectangle around some (or all) of the points on your chart'); scatter.clearLassoState(); RGraph.redraw();">Clear selections</button>
    <button class="btn btn-primary" onclick="lasso_state();">Display state of selection</button>
    <button class="btn btn-primary" onclick="lasso_points();">Display the state of points</button>
    </div>
<p>&nbsp;</p>
<div id="lasso_out">Please draw a rectangle around some (or all) of the points on your chart.</div>